/[gentoo-x86]/app-office/libreoffice-bin/libreoffice-bin-4.1.2.3.ebuild
Gentoo

Contents of /app-office/libreoffice-bin/libreoffice-bin-4.1.2.3.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.8 - (show annotations) (download)
Mon Nov 4 21:07:27 2013 UTC (13 months, 1 week ago) by dilfridge
Branch: MAIN
Changes since 1.7: +2 -2 lines
Fix libpng dependency

(Portage version: 2.2.7/cvs/Linux x86_64, signed Manifest commit with key 94BFDF4484AD142F)

1 # Copyright 1999-2013 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice-bin/libreoffice-bin-4.1.2.3.ebuild,v 1.7 2013/10/31 15:49:25 scarabeus Exp $
4
5 EAPI=5
6
7 KDE_REQUIRED="optional"
8 CMAKE_REQUIRED="never"
9
10 BASE_AMD64_URI="mirror://gentoo/amd64-bin-"
11 BASE_X86_URI="mirror://gentoo/x86-bin-"
12
13 PYTHON_COMPAT=( python2_7 python3_3 )
14 PYTHON_REQ_USE="threads,xml"
15
16 inherit kde4-base java-pkg-opt-2 python-single-r1 pax-utils prefix versionator
17
18 DESCRIPTION="LibreOffice, a full office productivity suite. Binary package."
19 HOMEPAGE="http://www.libreoffice.org"
20 SRC_URI_AMD64="
21 kde? (
22 !java? ( ${BASE_AMD64_URI}${PN/-bin}-kde-${PVR}.tar.xz )
23 java? ( ${BASE_AMD64_URI}${PN/-bin}-kde-java-${PVR}.tar.xz )
24 )
25 gnome? (
26 !java? ( ${BASE_AMD64_URI}${PN/-bin}-gnome-${PVR}.tar.xz )
27 java? ( ${BASE_AMD64_URI}${PN/-bin}-gnome-java-${PVR}.tar.xz )
28 )
29 !kde? ( !gnome? (
30 !java? ( ${BASE_AMD64_URI}${PN/-bin}-base-${PVR}.tar.xz )
31 java? ( ${BASE_AMD64_URI}${PN/-bin}-base-java-${PVR}.tar.xz )
32 ) )
33 "
34 SRC_URI_X86="
35 kde? (
36 !java? ( ${BASE_X86_URI}${PN/-bin}-kde-${PVR}.tar.xz )
37 java? ( ${BASE_X86_URI}${PN/-bin}-kde-java-${PVR}.tar.xz )
38 )
39 gnome? (
40 !java? ( ${BASE_X86_URI}${PN/-bin}-gnome-${PVR}.tar.xz )
41 java? ( ${BASE_X86_URI}${PN/-bin}-gnome-java-${PVR}.tar.xz )
42 )
43 !kde? ( !gnome? (
44 !java? ( ${BASE_X86_URI}${PN/-bin}-base-${PVR}.tar.xz )
45 java? ( ${BASE_X86_URI}${PN/-bin}-base-java-${PVR}.tar.xz )
46 ) )
47 "
48
49 SRC_URI="
50 amd64? ( ${SRC_URI_AMD64} )
51 x86? ( ${SRC_URI_X86} )
52 "
53
54 IUSE="debug gnome java kde"
55 LICENSE="LGPL-3"
56 SLOT="0"
57 KEYWORDS="-* amd64 x86"
58
59 BIN_COMMON_DEPEND="
60 =app-text/libexttextcat-3.4*
61 app-text/poppler:0/37
62 dev-libs/boost:0/1.52
63 dev-libs/icu:0/51.1
64 =media-gfx/graphite2-1.2*
65 =media-libs/harfbuzz-0.9.12
66 =media-libs/libpng-1.5*
67 >=sys-libs/glibc-2.15-r3
68 kde? ( >=kde-base/kdelibs-4.10.5-r1:4 >=dev-qt/qtcore-4.8.4-r5:4 )
69 || ( <media-libs/libjpeg-turbo-1.3.0-r2 =media-libs/jpeg-8* )
70 "
71
72 # PLEASE place any restrictions that are specific to the binary builds
73 # into the BIN_COMMON_DEPEND block above.
74 # All dependencies below this point should remain identical to those in
75 # the source ebuilds.
76
77 COMMON_DEPEND="
78 ${BIN_COMMON_DEPEND}
79 ${PYTHON_DEPS}
80 app-arch/zip
81 app-arch/unzip
82 >=app-text/hunspell-1.3.2-r3
83 app-text/mythes
84 >=app-text/libexttextcat-3.2
85 app-text/liblangtag
86 app-text/libmspub
87 >=app-text/libmwaw-0.1.7
88 app-text/libodfgen
89 app-text/libwpd:0.9[tools]
90 app-text/libwpg:0.2
91 >=app-text/libwps-0.2.2
92 >=app-text/poppler-0.16:=[xpdf-headers(+),cxx]
93 >=dev-cpp/clucene-2.3.3.4-r2
94 >=dev-cpp/libcmis-0.3.1:0.3
95 dev-db/unixODBC
96 >=dev-libs/boost-1.46:=
97 dev-libs/expat
98 >=dev-libs/hyphen-2.7.1
99 >=dev-libs/icu-4.8.1.1:=
100 >=dev-libs/liborcus-0.5.1:=
101 >=dev-libs/nspr-4.8.8
102 >=dev-libs/nss-3.12.9
103 >=dev-lang/perl-5.0
104 >=dev-libs/openssl-1.0.0d
105 >=dev-libs/redland-1.0.16[ssl]
106 media-gfx/graphite2
107 >=media-libs/fontconfig-2.8.0
108 media-libs/freetype:2
109 >=media-libs/harfbuzz-0.9.10:=[icu(+)]
110 media-libs/lcms:2
111 >=media-libs/libpng-1.4
112 >=media-libs/libcdr-0.0.5
113 media-libs/libvisio
114 >=net-misc/curl-7.21.4
115 net-nds/openldap
116 sci-mathematics/lpsolve
117 virtual/jpeg
118 >=x11-libs/cairo-1.10.0[X]
119 x11-libs/libXinerama
120 x11-libs/libXrandr
121 x11-libs/libXrender
122 net-print/cups
123 >=dev-libs/dbus-glib-0.92
124 gnome? ( gnome-extra/evolution-data-server )
125 gnome? ( gnome-base/gconf:2 )
126 x11-libs/gdk-pixbuf[X]
127 >=x11-libs/gtk+-2.24:2
128 media-libs/gstreamer:1.0
129 media-libs/gst-plugins-base:1.0
130 virtual/glu
131 virtual/opengl
132 net-libs/neon
133 "
134
135 RDEPEND="${COMMON_DEPEND}
136 !app-office/libreoffice
137 !<app-office/openoffice-bin-3.4.0-r1
138 !app-office/openoffice
139 media-fonts/libertine-ttf
140 media-fonts/liberation-fonts
141 media-fonts/urw-fonts
142 java? ( >=virtual/jre-1.6 )
143 "
144
145 PDEPEND="
146 =app-office/libreoffice-l10n-${PV}*
147 "
148
149 DEPEND=""
150
151 # only one flavor at a time
152 REQUIRED_USE="kde? ( !gnome ) gnome? ( !kde )"
153
154 RESTRICT="test strip"
155
156 S="${WORKDIR}"
157
158 PYTHON_UPDATER_IGNORE="1"
159
160 pkg_pretend() {
161 [[ $(gcc-major-version) -lt 4 ]] || \
162 ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -le 4 ]] ) \
163 && die "Sorry, but gcc-4.4 and earlier won't work for libreoffice-bin package (see bug #387515)."
164 }
165
166 pkg_setup() {
167 kde4-base_pkg_setup
168 }
169
170 src_unpack() {
171 default
172 }
173
174 src_prepare() {
175 cp "${FILESDIR}"/50-${PN} "${T}"
176 eprefixify "${T}"/50-${PN}
177 }
178
179 src_configure() { :; }
180
181 src_compile() { :; }
182
183 src_install() {
184 dodir /usr
185 cp -aR "${S}"/usr/* "${ED}"/usr/
186
187 # prevent revdep-rebuild from attempting to rebuild all the time
188 insinto /etc/revdep-rebuild && doins "${T}/50-${PN}"
189 }
190
191 pkg_preinst() {
192 # Cache updates - all handled by kde eclass for all environments
193 kde4-base_pkg_preinst
194 }
195
196 pkg_postinst() {
197 kde4-base_pkg_postinst
198
199 pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/soffice.bin
200 pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/unopkg.bin
201
202 use java || \
203 ewarn 'If you plan to use lbase application you should enable java or you will get various crashes.'
204 }
205
206 pkg_postrm() {
207 kde4-base_pkg_postrm
208 }

  ViewVC Help
Powered by ViewVC 1.1.20